

export default class InviteFriends {
  palette(posterImg, qrcodeImg, userName, avatarUrl,options) {
    //获取图片的长宽
    let posterImgWidth = 0, posterImgHeight = 280;
    if(options){
      posterImgWidth = options.posterImgWidth ? options.posterImgWidth : 0;
      posterImgHeight = options.posterImgHeight ? options.posterImgHeight : 0;
      if (posterImgHeight > 280){
        posterImgHeight = 280;
      }
    }

    console.log(avatarUrl)

    let windowWidth = options.windowWidth;

    return ({
      width: '750rpx',
      height: '705rpx',
      background: '#fff',
      views: [
        {
          type: 'image',
          url: posterImg,
          css: {
            width: windowWidth + 'px',
            height: posterImgHeight + 'px'
          }
        },
        {
          type: 'image',
          url: qrcodeImg,
          css: {
            width: '100rpx',
            height: '100rpx',
            right: '28rpx',
            bottom: '43rpx',
          }
        },
        {
          type: 'image',
          url: avatarUrl,
          css: {
            width: '50rpx',
            height: '50rpx',
            left: '23rpx',
            bottom: '43rpx',
            borderRadius: '25rpx'
          }
        },
         {
          type: 'text',
          text: userName + '邀请您一起成为会员,共享优惠,赶快扫码加入吧~。',
          css: {
            width: '180rpx',
            left: '82rpx',
            bottom: '43rpx',
            fontSize: '18rpx',
            color: '#333333'
          },
        },
      ],
    });
  }
}
